# TdApi.ChatMemberStatusBanned (tdlight API 4.0.177 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: ChatMemberStatusBanned

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatMemberStatusBanned

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatMemberStatus
it.tdlight.jni.TdApi.ChatMemberStatusBanned

Enclosing class:
  TdApi

public static final class TdApi.ChatMemberStatusBanned extends TdApi.ChatMemberStatus
The user or the chat was banned (and hence is not a member of the chat). Implies the user can't return to the chat, view messages, or be used as a participant identifier to join a video chat of the chat.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`bannedUntilDate`
Point in time (Unix timestamp) when the user will be unbanned; 0 if never.
`static final int`
`CONSTRUCTOR`

## Constructor Summary

Constructors
Constructor
Description
`ChatMemberStatusBanned()`
The user or the chat was banned (and hence is not a member of the chat).
`ChatMemberStatusBanned(int bannedUntilDate)`
The user or the chat was banned (and hence is not a member of the chat).
`ChatMemberStatusBanned(DataInput input)`
The user or the chat was banned (and hence is not a member of the chat).

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### bannedUntilDate

public int bannedUntilDate
Point in time (Unix timestamp) when the user will be unbanned; 0 if never. If the user is banned for more than 366 days or for less than 30 seconds from the current time, the user is considered to be banned forever. Always 0 in basic groups.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ChatMemberStatusBanned

public ChatMemberStatusBanned()
The user or the chat was banned (and hence is not a member of the chat). Implies the user can't return to the chat, view messages, or be used as a participant identifier to join a video chat of the chat.

### ChatMemberStatusBanned

public ChatMemberStatusBanned(int bannedUntilDate)
The user or the chat was banned (and hence is not a member of the chat). Implies the user can't return to the chat, view messages, or be used as a participant identifier to join a video chat of the chat.

Parameters:
  `bannedUntilDate` - int Point in time (Unix timestamp) when the user will be unbanned; 0 if never. If the user is banned for more than 366 days or for less than 30 seconds from the current time, the user is considered to be banned forever. Always 0 in basic groups.

### ChatMemberStatusBanned

public ChatMemberStatusBanned(DataInput input) throws IOException
The user or the chat was banned (and hence is not a member of the chat). Implies the user can't return to the chat, view messages, or be used as a participant identifier to join a video chat of the chat.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`